org.apache.ignite.internal.visor.node

## Class VisorHadoopConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorHadoopConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorHadoopConfiguration
    extends VisorDataTransferObject

Data transfer object for configuration of hadoop data structures.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorHadoopConfiguration()` Default constructor.
`VisorHadoopConfiguration(HadoopConfiguration src)` Create data transfer object for hadoop configuration.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getFinishedJobInfoTtl()`
`String` `getMapReducePlanner()`
`int` `getMaxParallelTasks()`
`int` `getMaxTaskQueueSize()`
`List<String>` `getNativeLibraryNames()`
`boolean` `isExternalExecution()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorHadoopConfiguration

    public VisorHadoopConfiguration()

Default constructor.

#### VisorHadoopConfiguration

    public VisorHadoopConfiguration(HadoopConfiguration src)

Create data transfer object for hadoop configuration.

Parameters:
  `src` - Hadoop configuration.

### Method Detail

#### getMaxParallelTasks

    public int getMaxParallelTasks()

Returns:
  Max number of local tasks that may be executed in parallel.

#### getMaxTaskQueueSize

    public int getMaxTaskQueueSize()

Returns:
  Max task queue size.

#### getFinishedJobInfoTtl

    public long getFinishedJobInfoTtl()

Returns:
  Finished job info time-to-live.

#### isExternalExecution

    public boolean isExternalExecution()

Returns:
  `True` if external execution.

#### getMapReducePlanner

    public String getMapReducePlanner()

Returns:
  Map-reduce planner.

#### getNativeLibraryNames

    @Nullable
    public List<String> getNativeLibraryNames()

Returns:
  Native library names.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019